### Function

# Gegl Random new

#### Declaration [src]

    GeglRandom*
    gegl_random_new (
      void
    )

#### Description [src]

Creates a new random number generator initialized with a random seed. This structure needs to be freed by the user with gegl_random_free();.

#### Return value

Type: `GeglRandom`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.